#include <stdio.h>
#include "html.h"

static	FILE	*fhtml;

void	html_startpage(FILE *fp, char *title)
{
	fhtml = fp;
	fprintf(fp, "<html>\n");
	fprintf(fp, "<head><title>%s</title></head>\n", title);
	fprintf(fp, "<body bgcolor=\"#FFFFFF\" text=\"#000000\">\n");
	fprintf(fp, "<center><h1>%s</h1></center>\n", title);
	fprintf(fp, "<hr>\n");
}

void	html_table(char **headers)
{
	int	i;
	fprintf(fhtml, "<center><table cellspacing=6>\n");
	fprintf(fhtml, "<tr bgcolor=\"#00ffcc\">\n");
	for(i = 0; headers[i]; ++i)
	    fprintf(fhtml, "<td>%s</td>\n", headers[i]);
	fprintf(fhtml, "</tr>\n\n");
}

void	html_row(char **values)
{
	int	i;

	fprintf(fhtml, "<tr VALIGN=TOP>\n");
	for(i = 0; values[i]; ++i)
	    fprintf(fhtml, "<td valign=top>%s</td>\n",
			*values[i] ? values[i] : "&nbsp;");
	fprintf(fhtml, "</tr>\n\n");
}

void	html_endtable(void)
{
	fprintf(fhtml, "</table></center>\n<hr>\n\n");
}

void	html_endpage(void)
{
	fprintf(fhtml, "</body></html>\n");
}

